cURL
curl --request POST \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/optimized_proposals/status/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/optimized_proposals/status/"
payload = { "uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/optimized_proposals/status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proposals": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_external_id": "<string>",
"proposal_status": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}
]
}Bulk Customization
Get Optimization Task Status
POST
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
optimized_proposals
/
status
/
cURL
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
List of proposal UUIDs to check status for
Response
200 - application/json
Show child attributes
Show child attributes
⌘I